Bug 106072 - redhat-config-samba fails to load
redhat-config-samba fails to load
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-samba (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-10-02 10:56 EDT by Clifford Snow
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 22:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clifford Snow 2003-10-02 10:56:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
redhat-config-samba fails to run in gnome-terminal or from menu.  

Version-Release number of selected component (if applicable):
redhat-config-samba-1.1.1-1

How reproducible:
Always

Steps to Reproduce:
1. open gnome-terminal
2. su - with password
3. run redhat-config-samba
    

Actual Results:  Traceback (most recent call last):  File
"/usr/share/redhat-config-samba/redhat-config-samba.py", line 20, in ?   
mainWindow.MainWindow(debug_flag)  File
"/usr/share/redhat-config-samba/mainWindow.py", line 58, in __init__   
self.samba_data = sambaParser.SambaParser(self)  File
"/usr/share/redhat-config-samba/sambaParser.py", line 24, in __init__   
self.parseFile()  File "/usr/share/redhat-config-samba/sambaParser.py", line 55,
in parseFile    token = self.createToken(line)  File
"/usr/share/redhat-config-samba/sambaParser.py", line 127, in createToken   
token = sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL,(name,
value), self.parent)  File "/usr/share/redhat-config-samba/sambaToken.py", line
20, in __init__    raise AttributeError, valueAttributeError: ('client plaintext
auth', 'No')

Expected Results:  Open a window for configuring Samba.

Additional info:

I reentered bug - was originally 106101 which no longer exists.
Comment 1 Brent Fox 2003-10-06 22:25:36 EDT
Should be fixed in redhat-config-samba-1.1.2-1.
Comment 2 Michael A. Emanuele 2004-07-08 16:27:32 EDT
I cannot tell if I have the same bug or a very similar one, in
redhat-config-samba 1.1.4-1 on Fedora Core 1.  I have very similar
behavior:

[root@localhost kingmob]# redhat-config-samba
Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/redhat-config-samba.py", line
20, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/redhat-config-samba/mainWindow.py", line 58, in
__init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 24, in
__init__
    self.parseFile()
  File "/usr/share/redhat-config-samba/sambaParser.py", line 55, in
parseFile
    token = self.createToken(line)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 127, in
createToken    token =
sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL, (name,
value), self.parent)
  File "/usr/share/redhat-config-samba/sambaToken.py", line 20, in
__init__
    raise AttributeError, value
AttributeError: ('cups options', 'raw')

Only the last line is different, the AttributeError.

Note You need to log in before you can comment on or make changes to this bug.